/* ------------------------------------------------------------------------- */
/* SETUPMME.CMD - Modify CONFIG.SYS for Multimedia testing.                  */
/*                                                                           */
/*        Invoked manually to prepare for PCM Testkit Multimedia testcases.  */
/*                                                                           */
/*    Uses OS2 environment variables to determine testcase drive.            */
/* ------------------------------------------------------------------------- */
'@echo off'
arg parm.1 parm.2 comments
'cls'
say ''
if left(parm.1,1) = '?' then signal INFO_PLEASE
/* ------------------------------------------------------------------------- */
os2drv = value('PCM_BOOTDRV',,'OS2ENVIRONMENT');       /* get OS2 boot drive */
tstdrv = value('PCM_TESTDRV',,'OS2ENVIRONMENT');       /* get testcase drive */
if pos(os2drv,'CDEFGHIJKLMNOPQRSTUVWXYZ') = 0 then do
   say '[1;09;41m ***************************************************************[0;40;37m'
   say '[1;09;41m * OS2 environment variable PCM_BOOTDRV not set.  Run PCMSETUP *[0;40;37m'
   say '[1;09;41m * to update config.sys, then shutdown & reboot to continue.   *[0;40;37m'
   say '[1;09;41m ***************************************************************[0;40;37m'
   exit
   end
if pos(tstdrv,'CDEFGHIJKLMNOPQRSTUVWXYZ') = 0 then do
   say '[1;09;41m ***************************************************************[0;40;37m'
   say '[1;09;41m * OS2 environment variable PCM_TESTDRV not set.  Run PCMSETUP *[0;40;37m'
   say '[1;09;41m * to update config.sys, then shutdown & reboot to continue.   *[0;40;37m'
   say '[1;09;41m ***************************************************************[0;40;37m'
   exit
   end

if stream(os2drv':\cfgos2.tst','c','query exists') = '' then do     /* no tst */
   if stream(os2drv':\config.sys','c','query exists') \= '' then do /* ok sys */
      'copy 'os2drv':\config.sys 'os2drv':\cfgos2.tst'              /* copyit */
       end
   else do
      say '[1;09;41m  *****************************************************[0;40;37m';
      say '[1;09;41m  *** Could NOT find 'os2drv':\CONFIG.SYS file.            ***[0;40;37m';
      say '[1;09;41m  *** Please change to OS2 boot drive and re-enter. ***[0;40;37m';
      say '[1;09;41m  *****************************************************[0;40;37m';
      exit
      end
   end

/* ------------------------------------------------------------------------- */
say '';
need_boot   = 0;
ver_libpath = 0;
ver_setpath = 0;
ver_setdpath= 0;
pcmlibpath='LIBPATH='tstdrv':\SYSTEST\BIN;'tstdrv':\UTIL'
pcmpath   ='SET PATH='tstdrv':\SYSTEST\BIN;'tstdrv':\UTIL'

/*****************************************************************************/
/* Process config.sys - update if needed for PCM testing environment         */
/*****************************************************************************/
new_cfgfile = os2drv':\config.new';
old_cfgfile = os2drv':\config.sys';
call LINEOUT new_cfgfile,,1;             /* open new_cfgfile set to 1st byte */

x=stream(old_cfgfile,'c','open read');
do forever;
   line = LINEIN(old_cfgfile);
   one_to_chg = 0;
   temp_line  = ' ';
   /* ---------------------------------------------------------------------- */
   if pos('LIBPATH', line) > 0 then do                   /* if found LIBPATH */
      parse value line with path ';' unused;
      if pos(tstdrv':\SYSTEST\BIN;'tstdrv':\UTIL', line) > 0 then do
         ver_libpath = 1;                                        /* verified */
      end
      else do                                          /* not ok - update it */
           temp_line = pcmlibpath';'right(path, length(path)-8)';'unused
           one_to_chg = 1;
           end
   end
   else
   if pos('SET PATH', line) > 0 then do                 /* if found SET PATH */
      parse value line with path ';' unused;
      if pos(tstdrv':\SYSTEST\BIN;'tstdrv':\UTIL', line) > 0 then do
         ver_setpath = 1;                                        /* verified */
      end
      else do                                          /* not ok - update it */
           temp_line = pcmpath';'right(path, length(path)-9)';'unused
           one_to_chg = 1;
           end
   end
   /* ---------------------------------------------------------------------- */
   /* Check for presence of PCM Testing ENVIRONMENT VARIABLES                */
   /* ---------------------------------------------------------------------- */
   if pos('PCM_BOOTDRV='os2drv, line) > 0 then add_envboot = 0
   if pos('PCM_TESTDRV='tstdrv, line) > 0 then add_envtest = 0
   /* ---------------------------------------------------------------------- */
   /* if found one of lines for LIBPATH or PATH, output updated line.        */
   /* ---------------------------------------------------------------------- */
   if one_to_chg = 1 then do                 /* one of the lines was updated */
      need_boot=1                            /* config.sys changed - reboot  */
      call LINEOUT new_cfgfile, temp_line;   /* output updated line to file  */
      end
   else do
        call LINEOUT new_cfgfile, line;     /* output unchanged line to file */
        end
   /* ---------------------------------------------------------------------- */
   if lines(old_cfgfile) = 0 then leave
end
x=stream(old_cfgfile,'c','close')
/*-------------------------------------------------------------------------- */
if add_envboot = 1 then do
  call LINEOUT new_cfgfile, 'SET PCM_BOOTDRV='os2drv;
  say '[1;37;45m  OS2 Boot Drive     ENVIRONMENT variable has been Added [0;40;37m';
  need_boot=1
end
else do
     say '[1;37;43m  OS2 Boot Drive     ENVIRONMENT variable has been Verified [0;40;37m';
     end
rcx = value('PCM_BOOTDRV',os2drv,'OS2ENVIRONMENT');
/*-------------------------------------------------------------------------- */
if add_envtest = 1 then do
  call LINEOUT new_cfgfile, 'SET PCM_TESTDRV='tstdrv;
  say '[1;37;45m  PCM Testcase Drive ENVIRONMENT variable has been Added [0;40;37m';
  need_boot=1
end
else do
     say '[1;37;43m  PCM Testcase Drive ENVIRONMENT variable has been Verified [0;40;37m';
     end
rcx = value('PCM_TESTDRV',tstdrv,'OS2ENVIRONMENT');
/*-------------------------------------------------------------------------- */
call LINEOUT new_cfgfile, '1A'x;                     /* write EOF to newfile */
call LINEOUT new_cfgfile;                            /* close newfile        */
if RESULT = 0 then do                   /* if all ok- copy new to config.sys */
   'erase 'os2drv':\config.sys'
   'copy  'os2drv':\config.new 'os2drv':\config.sys'
   'erase 'os2drv':\config.new'
   end

/*-------------------------------------------------------------------------- */
if need_boot=1 then do
  say '';
  say '';
  say '';
  say '[1;37;45m  The File 'os2drv':\config.sys  Has Been Updated   [0;40;37m';
  say '                                        ';
  say '[1;37;45m  You Must Now Reboot For Changes To Work    [0;40;37m';
end
else
  say '[1;37;43m  The File 'os2drv':\config.sys  Has Been Verified  [0;40;37m';
/*-------------------------------------------------------------------------- */
exit
INFO_PLEASE:
say ''
say '[1;37;45m ͻ ';
say '  SETUPMEE.CMD is copied to Testcase \UTIL directory.               ';
say '                                                                    ';
say '  Invoked manually to prepare for PCM Multimedia testcases.         ';
say '                                                                    ';
say '  Parameters:  NONE                                                 ';
say '                                                                    ';
say '  Uses OS/2 environment variables to determine testcase drive.      ';
say '                                                                    ';
say '  Modifies CONFIG.SYS to update LIBPATH and DPATH.                  ';
say ' ͼ [0;40;37m';
exit
